<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>kgraphinterface.kdevelop: kgraphinterface/src/nodecontent.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.4.7 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="annotated.html"><span>Classes</span></a></li>
    <li id="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
  </ul></div>
<div class="nav">
<a class="el" href="dir_13bf8767770a07be1dadcd74264f09a2.html">kgraphinterface</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_cd0dc5b52ac10de8cdc9686ef8f66f03.html">src</a></div>
<h1>nodecontent.h</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
<a name="l00002"></a>00002 <span class="comment"> *   Copyright (C) 2007 by Schpilka Yannick   *</span>
<a name="l00003"></a>00003 <span class="comment"> *   schpilka@gmail.com   *</span>
<a name="l00004"></a>00004 <span class="comment"> *                                                                         *</span>
<a name="l00005"></a>00005 <span class="comment"> *   This program is free software; you can redistribute it and/or modify  *</span>
<a name="l00006"></a>00006 <span class="comment"> *   it under the terms of the GNU General Public License as published by  *</span>
<a name="l00007"></a>00007 <span class="comment"> *   the Free Software Foundation; either version 2 of the License, or     *</span>
<a name="l00008"></a>00008 <span class="comment"> *   (at your option) any later version.                                   *</span>
<a name="l00009"></a>00009 <span class="comment"> *                                                                         *</span>
<a name="l00010"></a>00010 <span class="comment"> *   This program is distributed in the hope that it will be useful,       *</span>
<a name="l00011"></a>00011 <span class="comment"> *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *</span>
<a name="l00012"></a>00012 <span class="comment"> *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *</span>
<a name="l00013"></a>00013 <span class="comment"> *   GNU General Public License for more details.                          *</span>
<a name="l00014"></a>00014 <span class="comment"> *                                                                         *</span>
<a name="l00015"></a>00015 <span class="comment"> *   You should have received a copy of the GNU General Public License     *</span>
<a name="l00016"></a>00016 <span class="comment"> *   along with this program; if not, write to the                         *</span>
<a name="l00017"></a>00017 <span class="comment"> *   Free Software Foundation, Inc.,                                       *</span>
<a name="l00018"></a>00018 <span class="comment"> *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *</span>
<a name="l00019"></a>00019 <span class="comment"> *                                                                         *</span>
<a name="l00020"></a>00020 <span class="comment"> *   In addition, as a special exception, the copyright holders give       *</span>
<a name="l00021"></a>00021 <span class="comment"> *   permission to link the code of this program with any edition of       *</span>
<a name="l00022"></a>00022 <span class="comment"> *   the Qt library by Trolltech AS, Norway (or with modified versions     *</span>
<a name="l00023"></a>00023 <span class="comment"> *   of Qt that use the same license as Qt), and distribute linked         *</span>
<a name="l00024"></a>00024 <span class="comment"> *   combinations including the two.  You must obey the GNU General        *</span>
<a name="l00025"></a>00025 <span class="comment"> *   Public License in all respects for all of the code used other than    *</span>
<a name="l00026"></a>00026 <span class="comment"> *   Qt.  If you modify this file, you may extend this exception to        *</span>
<a name="l00027"></a>00027 <span class="comment"> *   your version of the file, but you are not obligated to do so.  If     *</span>
<a name="l00028"></a>00028 <span class="comment"> *   you do not wish to do so, delete this exception statement from        *</span>
<a name="l00029"></a>00029 <span class="comment"> *   your version.                                                         *</span>
<a name="l00030"></a>00030 <span class="comment"> ***************************************************************************/</span>
<a name="l00031"></a>00031 <span class="preprocessor">#ifndef NODECONTENT_H</span>
<a name="l00032"></a>00032 <span class="preprocessor"></span><span class="preprocessor">#define NODECONTENT_H</span>
<a name="l00033"></a>00033 <span class="preprocessor"></span>
<a name="l00034"></a>00034 <span class="preprocessor">#include &lt;qobject.h&gt;</span>
<a name="l00035"></a>00035 <span class="preprocessor">#include &lt;qstring.h&gt;</span>
<a name="l00036"></a>00036 <span class="preprocessor">#include &lt;qwidget.h&gt;</span>
<a name="l00037"></a>00037 <span class="preprocessor">#include "contentwindow.h"</span>
<a name="l00038"></a>00038 <span class="preprocessor">#include "node.h"</span>
<a name="l00039"></a>00039 
<a name="l00047"></a><a class="code" href="classNodeContent.html">00047</a> <span class="keyword">class </span><a class="code" href="classNodeContent.html">NodeContent</a> : <span class="keyword">public</span> QObject{
<a name="l00048"></a>00048         Q_OBJECT
<a name="l00049"></a>00049         <span class="keyword">public</span>:
<a name="l00051"></a>00051                 <a class="code" href="classNodeContent.html#1e213fbd97890892ec6eb4c5ff152bd8">NodeContent</a>(Node *node,QString name,<span class="keywordtype">int</span> type);
<a name="l00052"></a>00052 
<a name="l00053"></a>00053                 ~<a class="code" href="classNodeContent.html">NodeContent</a>() {};
<a name="l00054"></a>00054 
<a name="l00055"></a>00055                 <span class="keyword">enum</span> ContentType { Text , Html };
<a name="l00056"></a>00056 
<a name="l00058"></a>00058                 <span class="keywordtype">bool</span>    <a class="code" href="classNodeContent.html#0ba4d6ec4eb72f60cf71ef799f7bfe24">save</a>();
<a name="l00059"></a>00059 
<a name="l00061"></a>00061                 QString <a class="code" href="classNodeContent.html#5308c1574e52a308652528bbec86f016">toXml</a>();
<a name="l00062"></a>00062 
<a name="l00064"></a><a class="code" href="classNodeContent.html#31c1ea399b541e0cf0b804c76c362b23">00064</a>                 QWidget*        <a class="code" href="classNodeContent.html#31c1ea399b541e0cf0b804c76c362b23">getWidget</a>() { <span class="keywordflow">return</span> <a class="code" href="classNodeContent.html#8e0f960d19b9283fdd9ea12a3aa67e86">widget</a>; }
<a name="l00065"></a>00065 
<a name="l00067"></a><a class="code" href="classNodeContent.html#e55eab0a797aa5382d8efa21020c1993">00067</a>                 QString         <a class="code" href="classNodeContent.html#e55eab0a797aa5382d8efa21020c1993">getName</a>() { <span class="keywordflow">return</span> name; }
<a name="l00068"></a>00068                 
<a name="l00070"></a><a class="code" href="classNodeContent.html#c836f6f71e25f099831a6cafcb189ce9">00070</a>                 <span class="keywordtype">int</span>             <a class="code" href="classNodeContent.html#c836f6f71e25f099831a6cafcb189ce9">getType</a>() { <span class="keywordflow">return</span> type; }
<a name="l00071"></a>00071         
<a name="l00072"></a>00072         <span class="keyword">public</span> slots:
<a name="l00074"></a>00074                 <span class="keywordtype">void</span> <a class="code" href="classNodeContent.html#2ede661da81f46f5ee7354bf20f4e2a9">windowClosed</a>();
<a name="l00075"></a>00075 
<a name="l00076"></a>00076                 <span class="keywordtype">void</span> <a class="code" href="classNodeContent.html#21e23187118ba246cc2e238809a1e428">unpopWidget</a>();
<a name="l00077"></a>00077 
<a name="l00078"></a>00078                 <span class="keywordtype">void</span> popWidget();
<a name="l00079"></a>00079 
<a name="l00080"></a>00080                 <span class="keywordtype">void</span> partNotLoad();
<a name="l00081"></a>00081         
<a name="l00082"></a>00082         <span class="keyword">protected</span>:
<a name="l00084"></a><a class="code" href="classNodeContent.html#8e0f960d19b9283fdd9ea12a3aa67e86">00084</a>                 QWidget *<a class="code" href="classNodeContent.html#8e0f960d19b9283fdd9ea12a3aa67e86">widget</a>;
<a name="l00086"></a><a class="code" href="classNodeContent.html#598969cf4e0a4a8518e19224f469bc3e">00086</a>                 Node *<a class="code" href="classNodeContent.html#598969cf4e0a4a8518e19224f469bc3e">parent_node</a>;
<a name="l00088"></a><a class="code" href="classNodeContent.html#14b1b45d5c252ae13c802a466b66eb0b">00088</a>                 ContentWindow *<a class="code" href="classNodeContent.html#14b1b45d5c252ae13c802a466b66eb0b">window</a>;
<a name="l00089"></a>00089 
<a name="l00090"></a>00090         <span class="keyword">private</span>:
<a name="l00091"></a>00091                 <span class="keywordtype">void</span> initWindow();
<a name="l00092"></a>00092 
<a name="l00094"></a>00094                 QString name;
<a name="l00095"></a>00095 
<a name="l00097"></a>00097                 <span class="keywordtype">int</span> type;
<a name="l00098"></a>00098 
<a name="l00099"></a>00099                 
<a name="l00100"></a>00100 };
<a name="l00101"></a>00101 
<a name="l00102"></a>00102 <span class="preprocessor">#endif</span>
</pre></div><hr size="1"><address style="align: right;"><small>Generated on Sun Jun 10 14:17:38 2007 for kgraphinterface.kdevelop by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.7 </small></address>
</body>
</html>
